Index: doc/getstart.dox
===================================================================
--- doc/getstart.dox	(revision 1511)
+++ doc/getstart.dox	(revision 1514)
@@ -4,5 +4,7 @@
 In this page we detail how to start using LEMON, from downloading it to 
 your computer, through the steps of installation to showing a simple
-"Hello World" type program that already uses LEMON. If anything is not 
+"Hello World" type program that already uses LEMON. We assume that you have a
+basic knowledge of your operating system and \c C++ or \c C 
+programming language. If anything is not 
 clear write to our FAQ.
 
@@ -10,5 +12,20 @@
 twice YES then a link comes here.
 
+\section requirementsLEMON Hardware and software requirements
 
+Hardware requirements ...
+
+You will also need a C++ compiler. We mostly used the Gnu C++ Compiler (g++),
+from version 3.0 upwards. We also checked the Intel C compiler
+(icc). Unfortunately, Visual C++ compiler knows not enough to compile the
+library, so if you are using Microsoft Windows, then try to compile under
+Cygwin. 
+
+Ide kell írni:
+ 
+-Hol fordul (Windows-os fordító nem fordítja, unix/linux alatt gcc hanyas verziója kell)
+-
+
+In this description we will suppose a linux environment and Gnu C Compiler.
 
 \section downloadLEMON How to download LEMON
@@ -16,5 +33,7 @@
 You can download LEMON from the LEMON web site:
 http://lemon.cs.elte.hu
-by following the download link. There you will find the issued distributions in form of \e .ta.gz files. If you want a developer version  (for example you want to contribute in developing the library LEMON) then you might want to use our Subversion repository. This case is not detailed here, so from now on we suppose that you downloaded a tar.gz file.
+by following the download link. There you will find the issued distributions
+in form of <tt> .tar.gz </tt> files. If you want a developer version  (for example you want to contribute in developing the library LEMON) then you might want to use our Subversion repository. This case is not detailed here, so from now on we suppose that you downloaded a tar.gz file.
+
 
 
@@ -23,5 +42,6 @@
 In order to install LEMON you have to do the following
 
-Download the tarball and issue the following commands:
+Download the tarball (named <tt>lemon-x.y.z.tar.gz</tt> where \c x,\c y and \c z are
+numbers indicating the version of the library: in our example we will have lemon-0.3.1) and issue the following commands:
 
 \code
@@ -34,14 +54,52 @@
 \endcode
 
-These commands install LEMON under /usr/local. If you want to install it to some other place, then pass the --prefix=DIR flag to ./configure.
+These commands install LEMON under \c /usr/local (you will probably need \c root
+privileges to be able to install to that directory). If you want to install it
+to some other place, then pass the \c --prefix=DIR flag to \c ./configure. In
+what follows we will assume that you were able to install to directory \c
+/usr/local, otherwise some extra care is to be taken to use the library.
 
-Ide kell írni:
- 
--Hol fordul (Windows-os fordító nem fordítja, unix/linux alatt gcc hanyas verziója kell)
--
+We briefly explain these commands below.
+
+\code
+tar xvzf lemon-0.3.1.tar.gz
+\endcode
+This command untars the <tt>tar.gz</tt> file into a directory named <tt> lemon-0.3.1</tt>.
+
+\code
+cd lemon-0.3.1
+\endcode
+Enters the directory.
+
+\code
+./configure
+\endcode
+Does some configuration (creates makefiles etc).
+
+\code
+make
+\endcode
+This command compiles the <tt> .cc</tt> files of the library package (the
+implementation of non-template functions and classes and some test and demo
+programs) and creates the very important <b> libemon.la </b> file. When
+linking your program that uses LEMON it needs to access this file.
+
+\code
+make check (This is optional, but recomended. It runs a bunch of tests.)
+\endcode
+This is an optional step: it runs the test programs that we developed for
+LEMON to check
+whether the library works properly on your platform.
+
+\code
+make install
+\endcode
+This will copy the directory structure to its final destination (e.g. to \c
+/usr/local) so that your system can access it.
 
 \section helloworld My first program using LEMON
 
-If you have installed LEMON on your system you can paste the following code
+If you have installed LEMON on your system you 
+can paste the following code
 segment into a file to have a first working program that uses library LEMON.
 
@@ -55,9 +113,5 @@
 {
   typedef ListGraph Graph;
-  typedef Graph::Edge Edge;
-  typedef Graph::InEdgeIt InEdgeIt;
-  typedef Graph::OutEdgeIt OutEdgeIt;
   typedef Graph::EdgeIt EdgeIt;
-  typedef Graph::Node Node;
   typedef Graph::NodeIt NodeIt;
 
@@ -83,4 +137,5 @@
 \endcode
 
+First let us briefly explain how this program works.
 
 ListGraph is one of LEMON's graph classes. It is based on linked lists,
@@ -100,5 +155,20 @@
 \c source member functions can be used to access the endpoints of an edge.
 
-The previous code fragment prints out the following:
+If you have saved the preceding code into a file named, say,  \c hemon.cc and your installation of LEMON into directory \c /usr/local was
+successful then it is very easy to compile this program with the following
+command (the argument <tt>-lemon</tt> tells the compiler that we are using the
+installed library LEMON):
+\code
+g++ hemon.cc -o hemon -lemon
+\endcode
+
+As a result you will get the exacutable \c hemon in
+this directory that you can run by the command 
+\code
+./hemon
+\endcode
+
+
+If everything has gone well then the previous code fragment prints out the following:
 
 \code
@@ -108,4 +178,5 @@
 \endcode
 
+Congratulations!
 
 If you want to see more features, go to the \ref quicktour "Quick Tour to
Index: doc/quicktour.dox
===================================================================
--- doc/quicktour.dox	(revision 1511)
+++ doc/quicktour.dox	(revision 1514)
@@ -19,12 +19,16 @@
 about \ref graphs "graphs".
 
-You will also want to assign data to the edges or nodes of the graph, for example a length or capacity function defined on the edges. You can do this in LEMON using so called \ref maps "maps". You can define a map on the nodes or on the edges of the graph and the value of the map (the range of the function) can be practically almost of any type. Read more about maps \ref maps-page "here".
+You will also want to assign data to the edges or nodes of the graph, for
+example a length or capacity function defined on the edges. You can do this in
+LEMON using so called \b maps. You can define a map on the nodes or on the edges of the graph and the value of the map (the range of the function) can be practically almost of any type. Read more about maps \ref maps-page "here".
 
 Some examples are the following (you will find links next to the code fragments that help to download full demo programs: save them on your computer and compile them according to the description in the page about \ref getsart How to start using LEMON):
 
-- First we give two examples that show how to instantiate a graph. The
+<ul>
+<li> First we give two examples that show how to instantiate a graph. The
 first one shows the methods that add nodes and edges, but one will
 usually use the second way which reads a graph from a stream (file).
--# The following code fragment shows how to fill a graph with data. It creates a complete graph on 4 nodes. The type Listgraph is one of the LEMON graph types: the typedefs in the beginning are for convenience and we will suppose them later as well.
+<ol>
+<li>The following code fragment shows how to fill a graph with data. It creates a complete graph on 4 nodes. The type Listgraph is one of the LEMON graph types: the typedefs in the beginning are for convenience and we will suppose them later as well.
  \code
   typedef ListGraph Graph;
@@ -43,7 +47,7 @@
 See the whole program in file \ref helloworld.cc.
 
-If you want to read more on the LEMON graph structures and concepts, read the page about \ref graphs "graphs". 
-
--# The following code shows how to read a graph from a stream (e.g. a file). LEMON supports the DIMACS file format: it can read a graph instance from a file 
+    If you want to read more on the LEMON graph structures and concepts, read the page about \ref graphs "graphs". 
+
+<li> The following code shows how to read a graph from a stream (e.g. a file). LEMON supports the DIMACS file format: it can read a graph instance from a file 
 in that format (find the documentation of the DIMACS file format on the web). 
 \code
@@ -54,6 +58,6 @@
 One can also store network (graph+capacity on the edges) instances and other things in DIMACS format and use these in LEMON: to see the details read the documentation of the \ref dimacs.h "Dimacs file format reader".
 
-
-- If you want to solve some transportation problems in a network then 
+</ol>
+<li> If you want to solve some transportation problems in a network then 
 you will want to find shortest paths between nodes of a graph. This is 
 usually solved using Dijkstra's algorithm. A utility
@@ -130,5 +134,5 @@
 
 
-- If you want to design a network and want to minimize the total length
+<li> If you want to design a network and want to minimize the total length
 of wires then you might be looking for a <b>minimum spanning tree</b> in
 an undirected graph. This can be found using the Kruskal algorithm: the 
@@ -138,10 +142,72 @@
 Ide Zsuzska fog irni!
 
-- 
+<li>Many problems in network optimization can be formalized by means of a
+linear programming problem (LP problem, for short). In our library we decided
+not to write an LP solver, since such packages are available in the commercial
+world just as well as in the open source world, and it is also a difficult
+task to compete these. Instead we decided to develop an interface that makes
+it easier to use these solvers together with LEMON. So far we have an
+interface for the commercial LP solver software \b CLPLEX (developed by ILOG)
+and for the open source solver \b GLPK (a shorthand for Gnu Linear Programming
+Toolkit). 
+
+We will show two examples, the first one shows how simple it is to formalize
+and solve an LP problem in LEMON, while the second one shows how LEMON
+facilitates solving network optimization problems using LP solvers.
+
+<ol>
+<li>The following code shows how to solve an LP problem using the LEMON lp
+interface. 
 
 \code
 
+  //A default solver is taken
+  LpDefault lp;
+  typedef LpDefault::Row Row;
+  typedef LpDefault::Col Col;
+  
+
+  //This will be a maximization
+  lp.max();
+
+  //We add coloumns (variables) to our problem
+  Col x1 = lp.addCol();
+  Col x2 = lp.addCol();
+  Col x3 = lp.addCol();
+
+  //Constraints
+  lp.addRow(x1+x2+x3 <=100);  
+  lp.addRow(10*x1+4*x2+5*x3<=600);  
+  lp.addRow(2*x1+2*x2+6*x3<=300);  
+  //Nonnegativity of the variables
+  lp.colLowerBound(x1, 0);
+  lp.colLowerBound(x2, 0);
+  lp.colLowerBound(x3, 0);
+  //Objective function
+  lp.setObj(10*x1+6*x2+4*x3);
+  
+  //Call the routine of the underlying LP solver
+  lp.solve();
+
+  //Print results
+  if (lp.primalStatus()==LpSolverBase::OPTIMAL){
+    printf("Z = %g; x1 = %g; x2 = %g; x3 = %g\n", 
+	   lp.primalValue(), 
+	   lp.primal(x1), lp.primal(x2), lp.primal(x3));
+  }
+  else{
+    std::cout<<"Optimal solution not found!"<<std::endl;
+  }
+
+
 \endcode
 
+See the whole code in \ref lp_demo.cc.
+
+<li>The second example shows how easy it is to formalize a network
+optimization problem as an LP problem using the LEMON LP interface.
+
+</ol>
+</ul>
 
 */
